=head1 NAME

Gtk2::IconSize

=cut

=head1 HIERARCHY

  Glib::Enum
  +----Gtk2::IconSize



=cut


=head1 METHODS

=head2 iconsize = Gtk2::IconSize-E<gt>B<from_name> ($name)

=over

=item * $name (string) 

=back

=head2 (width, height) = Gtk2::IconSize->B<lookup> ($size)

=over

=item * $size (Gtk2::IconSize) 

=back



=head2 (width, height) = Gtk2::IconSize->B<lookup_for_settings> ($settings, $size)

=over

=item * $settings (Gtk2::Settings) 

=item * $size (Gtk2::IconSize) 

=back



Since: gtk+ 2.2

=head2 iconsize = Gtk2::IconSize-E<gt>B<register> ($name, $width, $height)

=over

=item * $name (string) 

=item * $width (integer) 

=item * $height (integer) 

=back

=head2 Gtk2::IconSize-E<gt>B<register_alias> ($alias, $target)

=over

=item * $alias (string) 

=item * $target (Gtk2::IconSize) 

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::IconSize

=over

=item * 'invalid' / 'GTK_ICON_SIZE_INVALID'

=item * 'menu' / 'GTK_ICON_SIZE_MENU'

=item * 'small-toolbar' / 'GTK_ICON_SIZE_SMALL_TOOLBAR'

=item * 'large-toolbar' / 'GTK_ICON_SIZE_LARGE_TOOLBAR'

=item * 'button' / 'GTK_ICON_SIZE_BUTTON'

=item * 'dnd' / 'GTK_ICON_SIZE_DND'

=item * 'dialog' / 'GTK_ICON_SIZE_DIALOG'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Enum>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

